Thilina Dilshan

Dec 25, 2020

1 min read

some configuration to flutter app when connecting firebase flutter SDK

Go to app level build.gradle and add these things

defaultConfig{

multiDexEnabled true

}

dependencies{

implementation ‘com.android.support:multidex:1.0.3’

}

Then add these dependencies for pubspec.yml

firebase_core : ^0.5.0

Then initialize the app

import ‘package:firebase_core/firebase_core.dart’;

void main() async {

WidgetsFlutterBinding.ensureInitialized();

await Firebase.initializeApp();

runApp(MyApp());

}